% Testing functions pwelchTZ and spectrogramTZ()
clear all; close all;

fs = 8000;              % sampling ratio (Hz)
T  = 3;                 % time duration in seconds
N  = round(T*fs);       % number of signal samples, 100 or 1000
dt=1/fs; t=dt*(0:N-1);  % time scaling
n = 1:1000;             % indexes of signal samples to be plotted 

% Signal
x1 = sin(2*pi*200*t) + sin(2*pi*800*t);                              % 2xSIN 
x2 = sin( 2*pi*( 0*t + 0.5*((1/T)*fs/4)*t.^2 ) );                    % LFM
fm=0.5; x3 = sin(2*pi*((fs/4)*t - (fs/8)/(2*pi*fm)*cos(2*pi*fm*t))); % SFM
x = x2 + 0.5*randn(1,N);                                             % signal choice
figure; plot(t(n),x(n),'b-'); xlabel('t [s]'); title('x(t)'); grid; pause

% Spectrum parameters
Nwind = 256; Nstep = 16;       % window: length, shift
Nfft = 2*Nwind;                % FFT length >= Nwind      

% Function call
figure; [X,f] = pwelchTZ(x,Nwind,Nwind-Nstep,Nfft,fs); pause
figure; [X,t,f] = spectrogramTZ(x,Nwind,Nwind-Nstep,Nfft,fs); pause
